#include <iostream>
#include<vector>
using namespace std;

int main()
{
    int N,L;
    cin>>N>>L;
    int br_stalaktita;
    vector<int>H(N);
    br_stalaktita=-1;
    for(int i=0;i<N;i++){
        cin>>H[i];
        if(H[i]<= L && br_stalaktita==-1 ){
            br_stalaktita = i+1;
        }

        }
        cout<<br_stalaktita<<endl;
        return 0;
    }